<?
session_name('portal_absa');
session_start();
if(!isset($_SESSION['usuario_p_prov_absa']) || trim($_SESSION['usuario_p_prov_absa']) == "" || trim(strtoupper($_SESSION["URL_PORTAL"]."admin.php")) != trim(strtoupper($_SERVER['HTTP_REFERER']))){
	?><script>window.location.href="<?=$_SESSION["URL_PORTAL"]."index.php"?>"</script><?
	exit;
}
require("../../conexion/conectar.php");
require("../../libs/funciones.php");

$conexion = new CONDB();
$conexion->conectar();
if(!isset($_REQUEST["uuid"])){
	?><script>$j_6.messager.alert("Error","Faltan parametros.","error");</script><?exit;
}
$uuid=$_REQUEST["uuid"];
$status=$_REQUEST["status"];
$qUpdateMarca="update doce set con_complemento_correcto='$status' where adicionalA='$uuid'";
if(mysqli_query($conexion->CONEXION,$qUpdateMarca)){
	setBitacora($conexion, $_SESSION['usuario_p_prov_absa'], $_SESSION['rfc_cliente_p_prov_absa'], "UPDATE", "tabla doce: cambia status con complemento.", $qUpdateMarca);
	if($status==1){
		?><script>document.getElementById("img_<?=$uuid?>").src='Imagenes/ok.png';$j_6("#lbl_<?=$uuid?>").html("Marcar como NO correcto.");</script><?
		?><script>$j_6.messager.alert("Informacion.","Se ha marcado el documento de pago como complemento correcto.","info");</script><?exit;
	}else{
		?><script>document.getElementById("img_<?=$uuid?>").src='Imagenes/Attention_A.png';$j_6("#lbl_<?=$uuid?>").html("Marcar como correcto.");</script><?
		?><script>$j_6.messager.alert("Informacion.","Se ha marcado el documento de pago como complemento incorrecto.","info");</script><?exit;
	}
	
}else{
	?><script>$j_6.messager.alert("Error.","Ocurrio un error al actualizar el status de complemento correcto.","error");</script><?exit;
}
?>